using Refit;
using Sledgemapper.Shared.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sledgemapper
{
    public interface IMapApi
    {
        [Post("/session/{sessionName}/tile")]
        Task NewTile([Body] Tile tile, string sessionName);

        [Post("/session/{sessionName}/overlay")]
        Task NewOverlay([Body] Overlay overlay, string sessionName);

        [Post("/session/{sessionName}/wall")]
        Task NewWall([Body] Wall overlay, string sessionName);

        [Delete("/session/{sessionName}/wall")]
        Task DeleteWall([Body] Wall wall, string sessionName);

        [Delete("/session/{sessionName}/tile")]
        Task DeleteTile([Body] Tile tile, string sessionName);

        [Delete("/session/{sessionName}/overlay")]
        Task DeleteOverlay([Body] Overlay overlay, string sessionName);
    }
}